import * as constants from '../helpers/constant'; // filepath: jsapps/dot/dotkit/src/service/helpers/constant.test.js

describe('Constants Tests', () => {
  test('DOT_SERVICE_EVENT should be "DOT_SERVICE_EVENT"', () => {
    expect(constants.DOT_SERVICE_EVENT).toBe('DOT_SERVICE_EVENT');
  });
  test('DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER should be "SHOW_ATTACHMENT_VIEWER"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER).toBe('SHOW_ATTACHMENT_VIEWER');
  });
  test('DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER should be "HIDE_ATTACHMENT_VIEWER"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER).toBe('HIDE_ATTACHMENT_VIEWER');
  });
  test('DOT_SERVICE_EVENT_TYPE_SHOW_TOAST_NOTIFICATION should be "SHOW_TOAST_NOTIFICATION"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_SHOW_TOAST_NOTIFICATION).toBe('SHOW_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_HIDE_TOAST_NOTIFICATION should be "HIDE_TOAST_NOTIFICATION"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_HIDE_TOAST_NOTIFICATION).toBe('HIDE_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_CLEAR_ALL_TOAST_NOTIFICATION should be "CLEAR_ALL__TOAST_NOTIFICATION"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_CLEAR_ALL_TOAST_NOTIFICATION).toBe('CLEAR_ALL__TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_SHOW_PROMISE_TOAST_NOTIFICATION should be "SHOW_PROMISE_TOAST_NOTIFICATION"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_SHOW_PROMISE_TOAST_NOTIFICATION).toBe('SHOW_PROMISE_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_UPDATE_PROMISE_TOAST_NOTIFICATION should be "UPDATE_PROMISE_TOAST_NOTIFICATION"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_UPDATE_PROMISE_TOAST_NOTIFICATION).toBe('UPDATE_PROMISE_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_HIDE_PROMISE_TOAST_NOTIFICATION should be "HIDE_PROMISE_TOAST_NOTIFICATION"', () => {
    expect(constants.DOT_SERVICE_EVENT_TYPE_HIDE_PROMISE_TOAST_NOTIFICATION).toBe('HIDE_PROMISE_TOAST_NOTIFICATION');
  });
});
describe('Toast Notification Types Tests', () => {
  test('DOT_TOAST_NOTIFICATION_TYPE_PRIMARY should be "primary"', () => {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_PRIMARY).toBe('primary');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_SUCCESS should be "success"', () => {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_SUCCESS).toBe('success');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_DANGER should be "danger"', () => {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_DANGER).toBe('danger');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_ERROR should be "error"', () => {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_ERROR).toBe('error');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_WARNING should be "warning"', () => {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_WARNING).toBe('warning');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_INFO should be "info"', () => {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_INFO).toBe('info');
  });
});