import { DUMMY_OBJECT } from "./constants";
export const mergeObjects = _ref => {
  let {
    object,
    newObject
  } = _ref;
  return { ...object,
    ...newObject
  };
};
export const emptyObject = () => {
  return DUMMY_OBJECT;
};
export const updateObjectValueByKey = _ref2 => {
  let {
    object,
    key,
    value
  } = _ref2;
  return { ...object,
    [key]: value
  };
};
export const removeObjectByKeys = _ref3 => {
  let {
    object,
    keys
  } = _ref3;
  const newObject = { ...object
  };

  if (Array.isArray(keys)) {
    keys.forEach(key => {
      delete newObject[key];
    });
  }

  return newObject;
};
export const removeObjectByKey = _ref4 => {
  let {
    object,
    key
  } = _ref4;
  const newObject = { ...object
  };
  delete newObject[key];
  return newObject;
};