"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

var constants = _interopRequireWildcard(require("../helpers/constant"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// filepath: jsapps/dot/dotkit/src/service/helpers/constant.test.js
describe('Constants Tests', function () {
  test('DOT_SERVICE_EVENT should be "DOT_SERVICE_EVENT"', function () {
    expect(constants.DOT_SERVICE_EVENT).toBe('DOT_SERVICE_EVENT');
  });
  test('DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER should be "SHOW_ATTACHMENT_VIEWER"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_SHOW_ATTACHMENT_VIEWER).toBe('SHOW_ATTACHMENT_VIEWER');
  });
  test('DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER should be "HIDE_ATTACHMENT_VIEWER"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_HIDE_ATTACHMENT_VIEWER).toBe('HIDE_ATTACHMENT_VIEWER');
  });
  test('DOT_SERVICE_EVENT_TYPE_SHOW_TOAST_NOTIFICATION should be "SHOW_TOAST_NOTIFICATION"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_SHOW_TOAST_NOTIFICATION).toBe('SHOW_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_HIDE_TOAST_NOTIFICATION should be "HIDE_TOAST_NOTIFICATION"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_HIDE_TOAST_NOTIFICATION).toBe('HIDE_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_CLEAR_ALL_TOAST_NOTIFICATION should be "CLEAR_ALL__TOAST_NOTIFICATION"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_CLEAR_ALL_TOAST_NOTIFICATION).toBe('CLEAR_ALL__TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_SHOW_PROMISE_TOAST_NOTIFICATION should be "SHOW_PROMISE_TOAST_NOTIFICATION"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_SHOW_PROMISE_TOAST_NOTIFICATION).toBe('SHOW_PROMISE_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_UPDATE_PROMISE_TOAST_NOTIFICATION should be "UPDATE_PROMISE_TOAST_NOTIFICATION"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_UPDATE_PROMISE_TOAST_NOTIFICATION).toBe('UPDATE_PROMISE_TOAST_NOTIFICATION');
  });
  test('DOT_SERVICE_EVENT_TYPE_HIDE_PROMISE_TOAST_NOTIFICATION should be "HIDE_PROMISE_TOAST_NOTIFICATION"', function () {
    expect(constants.DOT_SERVICE_EVENT_TYPE_HIDE_PROMISE_TOAST_NOTIFICATION).toBe('HIDE_PROMISE_TOAST_NOTIFICATION');
  });
});
describe('Toast Notification Types Tests', function () {
  test('DOT_TOAST_NOTIFICATION_TYPE_PRIMARY should be "primary"', function () {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_PRIMARY).toBe('primary');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_SUCCESS should be "success"', function () {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_SUCCESS).toBe('success');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_DANGER should be "danger"', function () {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_DANGER).toBe('danger');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_ERROR should be "error"', function () {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_ERROR).toBe('error');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_WARNING should be "warning"', function () {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_WARNING).toBe('warning');
  });
  test('DOT_TOAST_NOTIFICATION_TYPE_INFO should be "info"', function () {
    expect(constants.DOT_TOAST_NOTIFICATION_TYPE_INFO).toBe('info');
  });
});